# -*- coding: utf-8 -*-
import sys
from glob import glob
import re
from cadnano_segments import read_json_file, run_simulation_protocol

if __name__ == '__main__':
    if len(sys.argv) > 1:
        json_files = sys.argv[1:]
    else:
        print(len(sys.argv))
        json_files = glob('json/*')
    for f in json_files:
        print("Working on {}".format(f))
        out = re.match('json/(.*).json',f).group(1)
        try:
            data = read_json_file(f)
        except:
            print("WARNING: skipping unreadable json file {}".format(f))
            continue
            
        # run_simulation_protocol( out, "job-"+out+"-", data, gpu=0 )
        try:
            run_simulation_protocol( out, "job-"+out+"-", data, gpu=0 )
        except:
            print("WARNING: failed to simulate {}".format(f))
